[arch-commits] Commit in sed/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Sébastien Luttringer seblu at archlinux.org
Wed Jan 15 13:13:46 UTC 2020


    Date: Wednesday, January 15, 2020 @ 13:13:44
  Author: seblu
Revision: 373506

archrelease: copy trunk to testing-x86_64

Added:
  sed/repos/testing-x86_64/
  sed/repos/testing-x86_64/PKGBUILD
    (from rev 373505, sed/trunk/PKGBUILD)

----------+
 PKGBUILD |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

Copied: sed/repos/testing-x86_64/PKGBUILD (from rev 373505, sed/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2020-01-15 13:13:44 UTC (rev 373506)
@@ -0,0 +1,49 @@
+# Maintainer: Sébastien "Seblu" Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=sed
+pkgver=4.8
+pkgrel=1
+pkgdesc='GNU stream editor'
+arch=('x86_64')
+url='https://www.gnu.org/software/sed/'
+license=('GPL3')
+groups=('base-devel')
+depends=('glibc' 'acl' 'attr')
+makedepends=('gettext')
+source=("https://ftp.gnu.org/pub/gnu/sed/$pkgname-$pkgver.tar.xz"{,.sig})
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') #Jim Meyering <jim at meyering.net>
+sha256sums=('f79b0cfea71b37a8eeec8490db6c5f7ae7719c35587f21edb0617f370eeff633'
+            'SKIP')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list